https://mailchimp.com/automations/{workflow_id}/actions/archiveArchiving will permanently end your automation and keep the report data. You’ll be able to replicate your archived automation, but you can’t restart it.
The unique id for the Automation workflow.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'https://mailchimp.com/automations/{workflow_id}/actions/archive' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}https://mailchimp.com/automations/{workflow_id}/actions/archiveArchiving will permanently end your automation and keep the report data. You’ll be able to replicate your archived automation, but you can’t restart it.
The unique id for the Automation workflow.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'https://mailchimp.com/automations/{workflow_id}/actions/archive' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}